* {
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

body {
    background: white !important;
    -webkit-touch-callout: none;
    -webkit-text-size-adjust: none;
    -webkit-user-select: none;
    font-family: system-ui, -apple-system, -apple-system-font, 'Segoe UI', 'Roboto', sans-serif;
    font-size:12px;
    height:100vh;
    margin:0px;
    padding:0px;
    padding: env(safe-area-inset-top, 0px) env(safe-area-inset-right, 0px) env(safe-area-inset-bottom, 0px) env(safe-area-inset-left, 0px);
    width:100%;
}

/*ESDY STYLES*/

.primary-color{background: #EC1135 !important;}
.disable-color{background: #b3112b !important;}
.text-light{color: #ffffff !important;}
.text-dark{color: #000000 !important;}
.text-secondary{color: #787878 !important;}

button{outline: none !important}
a{outline: none !important;text-decoration: none !important;text-transform: none !important;color: inherit !important;}
h3{font-size: 1.2rem !important}
.background-grey{background: #F2F2F2 !important;}
.text-right{text-align: right !important;}
.border{border: 1px solid #d3d3d3;}
.m-t-10{margin-top: 10px;}
.m-t-20{margin-top: 20px;}
.m-t-30{margin-top: 30px;}
.m-t-40{margin-top: 40px;}
.m-t-50{margin-top: 50px;}

.m-l-10{margin-left: 10px;}
.m-l-20{margin-left: 20px;}
.m-l-30{margin-left: 30px;}
.m-l-40{margin-left: 40px;}
.m-l-50{margin-left: 50px;}

.m-r-10{margin-right: 10px;}
.m-r-20{margin-right: 20px;}
.m-r-30{margin-right: 30px;}
.m-r-40{margin-right: 40px;}
.m-r-50{margin-right: 50px;}

.m-b-10{margin-bottom: 10px;}
.m-b-20{margin-bottom: 20px;}
.m-b-30{margin-bottom: 30px;}
.m-b-40{margin-bottom: 40px;}
.m-b-50{margin-bottom: 50px;}


.p-t-10{padding-top: 10px;}
.p-t-20{padding-top: 20px;}
.p-t-30{padding-top: 30px;}
.p-t-40{padding-top: 40px;}
.p-t-50{padding-top: 50px;}

.p-l-10{padding-left: 10px;}
.p-l-20{padding-left: 20px;}
.p-l-30{padding-left: 30px;}
.p-l-40{padding-left: 40px;}
.p-l-50{padding-left: 50px;}

.p-r-10{padding-right: 10px;}
.p-r-20{padding-right: 20px;}
.p-r-30{padding-right: 30px;}
.p-r-40{padding-right: 40px;}
.p-r-50{padding-right: 50px;}

.p-b-10{padding-bottom: 10px;}
.p-b-20{padding-bottom: 20px;}
.p-b-30{padding-bottom: 30px;}
.p-b-40{padding-bottom: 40px;}
.p-b-50{padding-bottom: 50px;}

.p-10{padding: 10px;}
.p-20{padding: 20px;}
.p-30{padding: 30px;}
.p-40{padding: 40px;}
.p-50{padding: 50px;}

.m-10{margin: 10px;}
.m-20{margin: 20px;}
.m-30{margin: 30px;}
.m-40{margin: 40px;}
.m-50{margin: 50px;}

/*ESDY STYLES*/


.logo-container{
    width: 100px;
    margin: 0 auto;
    position: absolute;
    top: 10vh;
    left: 50vw;
    margin-left: -50px;
}

.logo-container img{
    width: 100px;
}


.login-circle{
    width: 120vw;
    height: 40vh;
    flex-shrink: 0;
    border-radius: 45% 45% 0 0;
    background: #EC1135;
    position: fixed;
    bottom: -5vh;
    left: -10vw;
}

.loginbtn{
    width: 60%;
    height: 40px;
    border: none;
    border-radius: 5px;
    text-transform: uppercase;
    font-size: 18px;
}

.login-wrapper{
    padding-top: 10vh;
}

.login-wrapper .button-holder{
    width: 100%;
    background: #EEEEEE !important;
    border-radius: 30px;
}

.login-wrapper .button-holder table{
    width: 100%;
}


.login-wrapper .button-holder table td{
    padding: 2px 6px;
    text-align: center;
}

.login-wrapper .button-holder .red-button {
    background: #EC1135 !important;
    border-radius: 30px;
    width: 100%;
    color: white;
    height: 30px;
    padding-top: 3px;
    cursor: pointer;
}


.login-input-wrapper{
    width: 100%;
    position: relative;
}

.login-input-wrapper input{
    border-radius: 10px;
    height: 35px;
    border: 1px solid #d3d3d3;
    width: 100%;
    padding-left: 55px;
}

.login-input-wrapper span{
    position: absolute;
    top: 6px;
    left: 10px;
    padding-right: 10px;
    border-right: 1px solid #d3d3d3;
}

.default-button{
    width: 100%;
    height: 30px;
    border-radius: 30px;
    border: none;
}

.skip-button-login{
    width: 100px;
    text-align: center;
    position: fixed;
    bottom: 20px;
    left: 50%;
    margin-left: -50px;
}

.onpage-menu{
    background: #EC1135;
    width: 60vw;
    height: 48px;
    border-radius: 10px;
    position: fixed;
    left: 50vw;
    margin-left: -30vw;
    bottom: 2%;
    padding: 6px 10px;
    z-index: 1000000000;
}

.onpage-menu ul{
    margin: 0;
    padding: 0;
}

.onpage-menu ul li{
    display: inline-block;
    width: 30%;
}

.onpage-menu ul li img{
    width: 25px;
    height: 25px;
    margin-top: 6px;
}

.onpage-menu-active{
    background: white;
    width: 100%;
    height: 38px;
    border-radius: 10px;
}

.topbar-wrapper{
    width: 100%;
    padding: 10px 10px 10px 10px;
    background: #EC1135;
}

.topbar-wrapper .img{
    width: 100px;
}

.location-pin{
    width: 100%;
    height: 35px;
    background: white;
    border-radius: 10px;
    color: black;
    font-size: 0.8rem;
    padding-top: 0.3rem;
    float: right;
    padding: 5px 10px;
}

.delivery-locations{
    background: #ee9aad;
    padding: 4px 2px;
}

.search-input-holder{
    margin-top: 10px;
    position: relative;
}

.search-input-holder input{
    width: 100%;
    background: #F2F2F2;
    border: none;
    height: 35px;
    border-radius: 6px;
    padding-right: 48px;
    padding-left: 10px;
}

.search-input-holder span{
    position: absolute;
    right: 10px;
    top: 6px;
    padding-left: 10px;
    border-left: 1px solid #d3d3d3;
}

.search-input-holder span img{
    width: 24px;
}

.slide{
    width: 100%;
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    /*display: flex;
    justify-content: center;
    align-items: center;*/
}


.swiper-slide-product {
    /*width: 200px !important;*/
}

.swiper-slide img{
    width: 100%;
}

.round-categories{
    width: 100%;
}

.round-categories img{
    width: 100%;
    border-radius: 50%;
    border: 1px solid #d3d3d3;
}

.product-card{
    width: 100%;
    height: auto;
    background: white;
    margin-bottom: 10px;
}

.product-card .img{

}
.product-card .img img{
    width: 100%;
}

.product-card .product-details{

}

.product-card .product-details p{
    margin: 0;
    padding: 0;
}

.product-card .product-pricing-holder{margin-top: 10px}
.product-card .product-pricing-holder table {width: 100%}
.product-card .product-pricing-holder button {
    background: none;
    border-radius: 5px;
    border: 1px solid #EC1135;
    color: #EC1135 !important;
    float: right;
}


.product-card-slide{
    width: 160px;
    height: auto;
    background: white;
    margin-bottom: 10px;
}

.product-card-slide .img{

}
.product-card-slide .img img{
    width: 100px;
}

.product-card-slide .product-details{

}

.product-card-slide .product-details p{
    margin: 0;
    padding: 0;
}

.product-card-slide .product-pricing-holder{margin-top: 10px}
.product-card-slide .product-pricing-holder table {width: 100%}
.product-card-slide .product-pricing-holder button {
    background: none;
    border-radius: 5px;
    border: 1px solid #EC1135;
    color: #EC1135 !important;
    float: right;
}

.left-nav-wrapper{
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.8);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999999999999 !important;
}

.left-nav-wrapper1{
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.8);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999999999999 !important;
}

.nav-left{
    position: fixed;
    left: 0;
    top: 0;
    width: 80vw;
    height: 100vh;
    background: white;
    border-radius: 0px 30px 30px 0px;
}

.nav-right{
    position: fixed;
    right: 0;
    top: 0;
    width: 20vw;
    height: 100vh;
}

.nav-left .name-holder{
    width: 100%;
    background:#D9D9D9;
    border-radius: 10px;
}

.nav-left .name-holder .name-circle{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 1px solid black;
    float: right;
}

.nav-left .name-holder .name-circle img{
    width: 100%;
    margin-top: 2px;
}

.nav-left .wallet-balance{

}

.nav-left .wallet-balance .balance-button{
    background: #12AB6E;
    float: right;
    border: none;
    color: white;
    padding: 4px 8px;
    border-radius: 3px;
    margin-top: 12px;
}

.nav-left ul{
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.nav-left ul li{
    padding-bottom: 15px;
}

.nav-left ul li span{
    float: right;
}

.nav-left ul li span img{
    width: 14px;
}

.nav-left .rating-wrapper{
    position: absolute;
    bottom: 10px;
    left: 0;
    width: inherit;
    color: #595454 !important;
    text-align: center;
}

.nav-left .rating-wrapper ul{
    margin: 0;
    padding: 0;
    list-style-type: none;
    margin-top: 10px;
}

.nav-left .rating-wrapper ul li{
    display: inline-block;
    padding-right:2px;
}

.nav-left .rating-wrapper ul li img{
    width: 20px;
}

.otp-container{
    position: relative;
    display: grid;
    place-items: center;
}

.otp-container input{
    width: 40px;
    height: 40px;
    border: none;
    border: 1px solid #d3d3d3;
    border-radius: 10px;
    padding: 2px 5px;
    text-align: center;
}

.oneline {
   overflow: hidden;
   display: -webkit-box;
   -webkit-line-clamp: 1; /* number of lines to show */
           line-clamp: 1; 
   -webkit-box-orient: vertical;
}

.twolines {
   overflow: hidden;
   display: -webkit-box;
   -webkit-line-clamp: 2; /* number of lines to show */
           line-clamp: 2; 
   -webkit-box-orient: vertical;
}

.previous_orders{
    width: 100%;
    border-radius: 10px;
    background: white;
    box-shadow: 0px 0px 36px rgba(211, 211, 211,0.4) !important;
    border: 1px solid #d3d3d3;
    margin-bottom: 20px;
}

.previous_orders .head{
    padding: 10px;
    border-radius: 10px 10px 0px 0px;
    background: #F8F9FD;
}

.previous_orders .body{
    padding: 10px 10px 3px 10px;
}

.previous_orders .foot{
    padding: 3px 10px 3px 10px;
}

.cart-btn-new{
    width: 100%;
    height: 40px;
    border: none;
    background: none;
    border-radius: 5px;
    color: #554244;
    background-color: #eb979a;
    border:1px solid #a86e72;
    font-size: 1rem;
}


.popup-container {
    display: none;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    height: auto;
    background-color: #fff;
    border-radius: 20px 20px 0px 0px;
    border-top: 1px solid #ccc;
    padding: 20px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    animation: slideIn 0.5s ease-in-out; /* Slower transition */
    z-index: 999999999999999999999 !important;
}

.popup-content {
    background-color: #fff;
    border-radius: 5px;
}

.popup-footer {
    width: 100%;
    height: 80px;
    padding: 10px;
    border-top: 1px solid #d3d3d3;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    position: absolute;
    left: 0;
    bottom: 0;
}

.close-button {
    position: absolute;
    top: -35px;
    left: 50vw;
    margin-left: -15px;
    font-size: 20px;
    cursor: pointer;
    width: 30px;
    height: 30px;
    background-color: rgba(0,0,0,0.7);
    border-radius: 50%;
    color: white;
    text-align: center;
}

#showPopup {
    margin: 20px;
}

#showPopup:hover {
    cursor: pointer;
}

#showPopup:active {
    transform: translateY(2px);
}

/* Animation keyframes */
@keyframes slideIn {
    from {
        transform: translateY(100%);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.shake-image {
    animation: shake 1s infinite;
}

@keyframes shake {
    0% {
        transform: rotate(0deg) translateX(0);
    }
    25% {
        transform: rotate(-2deg) translateX(-2px);
    }
    50% {
        transform: rotate(2deg) translateX(2px);
    }
    75% {
        transform: rotate(-2deg) translateX(-2px);
    }
    100% {
        transform: rotate(2deg) translateX(2px);
    }
}

